Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class NodeImpl

    java.lang.Object
      org.exist.dom.NodeImpl

All Implemented Interfaces:
  org.w3c.dom.Node, QNameable

Direct Known Subclasses:
  DocumentImpl, StoredNode

public abstract class NodeImpl
extends java.lang.Object
implements org.w3c.dom.Node, QNameable

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`NodeImpl()`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node child)`
`void` | `appendChildren(Txn transaction, org.w3c.dom.NodeList nodes, int child)`
`org.w3c.dom.Node` | `cloneNode(boolean deep)`
`short` | `compareDocumentPosition(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`short` | `getAttributesCount()`
`java.lang.String` | `getBaseURI()` ? @see org.w3c.dom.Node#getBaseURI()
`int` | `getChildCount()`
`org.w3c.dom.NodeList` | `getChildNodes()`
`java.lang.Object` | `getFeature(java.lang.String feature, java.lang.String version)` ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)
`org.w3c.dom.Node` | `getFirstChild()`
`org.w3c.dom.Node` | `getLastChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNodeName()`
`java.lang.String` | `getNodeValue()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getTextContent()` ? @see org.w3c.dom.Node#getTextContent()
`java.lang.Object` | `getUserData(java.lang.String key)` ? @see org.w3c.dom.Node#getUserData(java.lang.String)
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`org.w3c.dom.Node` | `insertAfter(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
`void` | `insertAfter(Txn transaction, org.w3c.dom.NodeList nodes, org.w3c.dom.Node refChild)`
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
`void` | `insertBefore(Txn transaction, org.w3c.dom.NodeList nodes, org.w3c.dom.Node refChild)`
`boolean` | `isDefaultNamespace(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)
`boolean` | `isEqualNode(org.w3c.dom.Node arg)` ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)
`boolean` | `isSameNode(org.w3c.dom.Node other)` ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)
`boolean` | `isSupported(java.lang.String key, java.lang.String value)`
`java.lang.String` | `lookupNamespaceURI(java.lang.String prefix)` ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)
`java.lang.String` | `lookupPrefix(java.lang.String namespaceURI)` ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)
`void` | `normalize()`
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)`
`org.w3c.dom.Node` | `removeChild(Txn transaction, org.w3c.dom.Node oldChild)`
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)`
`org.w3c.dom.Node` | `replaceChild(Txn transaction, org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)`
`void` | `setAttributes(short attribNum)` Set the attributes that belong to this node.
`void` | `setNodeName(QName name)` Set the node name.
`void` | `setNodeValue(java.lang.String value)` Set the node value.
`void` | `setPrefix(java.lang.String prefix)` Sets the prefix attribute of the NodeImpl object
`void` | `setTextContent(java.lang.String textContent)` ? @see org.w3c.dom.Node#setTextContent(java.lang.String)
`java.lang.Object` | `setUserData(java.lang.String key, java.lang.Object data, org.w3c.dom.UserDataHandler handler)` ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)
`boolean` | `supports(java.lang.String feature, java.lang.String version)` Method supports.
`void` | `updateChild(org.w3c.dom.Node oldChild, org.w3c.dom.Node newChild)`
`void` | `updateChild(Txn transaction, org.w3c.dom.Node oldChild, org.w3c.dom.Node newChild)` Update a child node.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`getNextSibling, getNodeType, getOwnerDocument, getParentNode, getPreviousSibling`

Methods inherited from interface org.exist.dom.QNameable
`getQName`

Constructor Detail

### NodeImpl

    public NodeImpl()

Method Detail

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`
  See Also:
    `Node.cloneNode(boolean)`

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node child)
                                 throws org.w3c.dom.DOMException

  Specified by:
    `appendChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Node.appendChild(org.w3c.dom.Node)`

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Specified by:
    `removeChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `replaceChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Node.replaceChild(org.w3c.dom.Node, org.w3c.dom.Node)`

### updateChild

    public void updateChild(org.w3c.dom.Node oldChild,
                            org.w3c.dom.Node newChild)
                     throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Specified by:
    `insertBefore` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Node.insertBefore(org.w3c.dom.Node, org.w3c.dom.Node)`

### insertAfter

    public org.w3c.dom.Node insertAfter(org.w3c.dom.Node newChild,
                                        org.w3c.dom.Node refChild)
                                 throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendChildren

    public void appendChildren(Txn transaction,
                               org.w3c.dom.NodeList nodes,
                               int child)
                        throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### removeChild

    public org.w3c.dom.Node removeChild(Txn transaction,
                                        org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### replaceChild

    public org.w3c.dom.Node replaceChild(Txn transaction,
                                         org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### updateChild

    public void updateChild(Txn transaction,
                            org.w3c.dom.Node oldChild,
                            org.w3c.dom.Node newChild)
                     throws org.w3c.dom.DOMException

  Update a child node. This method will only update the child node but not its potential descendant nodes.

  Parameters:
    `oldChild` -
    `newChild` -
  Throws:
    `org.w3c.dom.DOMException`

### insertBefore

    public void insertBefore(Txn transaction,
                             org.w3c.dom.NodeList nodes,
                             org.w3c.dom.Node refChild)
                      throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertAfter

    public void insertAfter(Txn transaction,
                            org.w3c.dom.NodeList nodes,
                            org.w3c.dom.Node refChild)
                     throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getChildCount

    public int getChildCount()

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  See Also:
    `Node.getFirstChild()`

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`
  See Also:
    `Node.getLastChild()`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`
  See Also:
    `Node.hasAttributes()`

### getAttributesCount

    public short getAttributesCount()

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  See Also:
    `Node.getAttributes()`

### setAttributes

    public void setAttributes(short attribNum)

  Set the attributes that belong to this node.

  Parameters:
    `attribNum` - The new attributes value

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `Node.getNodeValue()`

### setNodeValue

    public void setNodeValue(java.lang.String value)
                      throws org.w3c.dom.DOMException

  Set the node value.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Parameters:
    `value` - The new nodeValue value
  Throws:
    `org.w3c.dom.DOMException` - Description of the Exception

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  See Also:
    `Node.hasChildNodes()`

### setNodeName

    public void setNodeName(QName name)

  Set the node name.

  Parameters:
    `name` - The new nodeName value

### isSupported

    public boolean isSupported(java.lang.String key,
                               java.lang.String value)

  Specified by:
    `isSupported` in interface `org.w3c.dom.Node`
  See Also:
    `Node.isSupported(java.lang.String, java.lang.String)`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `org.w3c.dom.Node`
  See Also:
    `Node.normalize()`

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

  Method supports.

  Parameters:
    `feature` -
    `version` -
  Returns:
    boolean

### getBaseURI

    public java.lang.String getBaseURI()

  ? @see org.w3c.dom.Node#getBaseURI()

### compareDocumentPosition

    public short compareDocumentPosition(org.w3c.dom.Node other)
                                  throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#compareDocumentPosition(org.w3c.dom.Node)

  Throws:
    `org.w3c.dom.DOMException`

### getTextContent

    public java.lang.String getTextContent()
                                    throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#getTextContent()

  Throws:
    `org.w3c.dom.DOMException`

### setTextContent

    public void setTextContent(java.lang.String textContent)
                        throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Node#setTextContent(java.lang.String)

  Throws:
    `org.w3c.dom.DOMException`

### isSameNode

    public boolean isSameNode(org.w3c.dom.Node other)

  ? @see org.w3c.dom.Node#isSameNode(org.w3c.dom.Node)

### lookupPrefix

    public java.lang.String lookupPrefix(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#lookupPrefix(java.lang.String)

### isDefaultNamespace

    public boolean isDefaultNamespace(java.lang.String namespaceURI)

  ? @see org.w3c.dom.Node#isDefaultNamespace(java.lang.String)

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String prefix)

  ? @see org.w3c.dom.Node#lookupNamespaceURI(java.lang.String)

### isEqualNode

    public boolean isEqualNode(org.w3c.dom.Node arg)

  ? @see org.w3c.dom.Node#isEqualNode(org.w3c.dom.Node)

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

  ? @see org.w3c.dom.Node#getFeature(java.lang.String, java.lang.String)

### getUserData

    public java.lang.Object getUserData(java.lang.String key)

  ? @see org.w3c.dom.Node#getUserData(java.lang.String)

### setUserData

    public java.lang.Object setUserData(java.lang.String key,
                                        java.lang.Object data,
                                        org.w3c.dom.UserDataHandler handler)

  ? @see org.w3c.dom.Node#setUserData(java.lang.String, java.lang.Object, org.w3c.dom.UserDataHandler)

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`
  See Also:
    `Node.getPrefix()`

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Sets the prefix attribute of the NodeImpl object

  Specified by:
    `setPrefix` in interface `org.w3c.dom.Node`
  Parameters:
    `prefix` - The new prefix value
  Throws:
    `org.w3c.dom.DOMException` - Description of the Exception

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`
  See Also:
    `Node.getNamespaceURI()`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`
  See Also:
    `Node.getLocalName()`

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  See Also:
    `Node.getNodeName()`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.